interface RelayStatus {
  running: boolean;
  pid: number | null;
  logs: string[];
}

interface RelayBridge {
  start: (encryptionKey: string) => Promise<void>;
  stop: () => Promise<void>;
  getStatus: () => Promise<RelayStatus>;
  getLogs: () => Promise<string[]>;
  reset: () => Promise<void>;
}

declare global {
  interface Window {
    relay: RelayBridge;
  }
}

export {};
